# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Initializing variables
    url_dl = "http://b1.download.windowsupdate.com/c/upgr/2020/12/windows10.0-kb4562830-x64_93a5c65488affb6e73a0a48ad6a58d8bc1713fd7.msu"
    proxies = get_proxies()
    latest_bin = url_dl.split('/')[1]
    version = control.get_software_version()

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(url_dl, latest_bin, proxies=proxies)

    # Changing version of the package
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing version to: %s in WAPT\\control" % control.version)